package LWP::Protocol::http::proxyproto;

use strict;
use warnings;

our $VERSION = '0.01'; # VERSION

require LWP::Protocol::http;
our @ISA = qw(LWP::Protocol::http);
LWP::Protocol::implementor('http::proxyproto' => 'LWP::Protocol::http::proxyproto');

sub new {
    my $self = shift->SUPER::new(@_);
    $self->{scheme} =~ s/::proxyproto$//;
    $self;
}

sub _extra_sock_opts {
    my $self = shift;
    my($host, $port) = @_;
    my @extra_sock_opts = $self->SUPER::_extra_sock_opts(@_);
    return (@extra_sock_opts, @{$self->{proxy_connect_opts}});
}

1;

